#!/bin/sh
#
# All Rights Reserved, Copyright (c) FUJITSU LIMITED 2012-2017
#
#	Configuration Tool for Oracle VM Server for SPARC
#
# Revision 3.0  2017/11/16
#
# template_menu.sh

pattern1_temp()
{

while :
do
	header "$TOP_TITLE" "Pattern 1"
	cat <<-EOF
	Select the type of domain that you wish to create.

	 1. Primary domain (Control domain)
	 2. Guest domain


	t:top menu  q:quit
	---------------------------------------------------------------------------------------
	EOF

	echo "Please select (1-2,t,q) ==> \c"
	read i

	case $i in
		[1])	primary_check2
			primary_pattern1
			exit 0
			;;
		[2])	primary_check
			guest_pattern1 
			exit 0
			;;
		[t])	menu
			;;
		[q])	quit
			;;
	esac
done

}

pattern2_temp()
{
while :
do
	header "$TOP_TITLE" "Pattern 2"
	cat <<-EOF
	Select the type of domain that you wish to create.

	 1. Primary domain (Control domain)
	 2. I/O domain


	t:top menu  q:quit
	---------------------------------------------------------------------------------------
	EOF

	echo "Please select (1-2,t,q) ==> \c"
	read i

	case $i in
		[1])	primary_check2
			primary_pattern2
			exit 0
			;;
		[2]) 	primary_check
			io_pattern2
			exit 0
			;;
		[t])	menu
			;;
		[q])	quit
			;;
	esac
done

}

pattern3_temp()
{
while :
do
	header "$TOP_TITLE" "Pattern 3"
	cat <<-EOF
	Select the type of domain that you wish to create.

	 1. Primary domain (Control domain)
	 2. I/O root domain


	t:top menu  q:quit
	---------------------------------------------------------------------------------------
	EOF

	echo "Please select (1-2,t,q) ==> \c"
	read i

	case $i in
		[1])	primary_check2
			primary_pattern3
			exit 0
			;;
		[2]) 	primary_check
			io_root_pattern3
			exit 0
			;;
		[t]) 	menu
			;;
		[q])	quit
			;;
	esac
done

}

